Bug 114689 - slideshow with option delay doesn't work
slideshow with option delay doesn't work
Product: Fedora
Classification: Fedora
Component: xloadimage (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: Patch
Depends On:
  Show dependency treegraph
Reported: 2004-01-31 10:23 EST by Dominik Fischer
Modified: 2014-03-16 22:41 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.1-32
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-13 12:54:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to correct the bug. (1.03 KB, patch)
2004-01-31 10:30 EST, Dominik Fischer
no flags Details | Diff

  None (edit)
Description Dominik Fischer 2004-01-31 10:23:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4.1)

Description of problem:
Trying to display a slideshow with:

xloadimage -global -delay 3 ~/images/*.jpg

doesn't work. Only the first image is displayed. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Copy some JPG's in ~/images/
2. call: xloadimage -global -delay 3 ~/images/*.jpg


Actual Results:  Only one image is shown.

Expected Results:  After 3 seconds the next image should be shown.

Additional info:
Comment 1 Dominik Fischer 2004-01-31 10:30:37 EST
Created attachment 97392 [details]
Patch to correct the bug.

I've analized the sources and created the attached patch which corrected this
bug. This patch should be applied after all other patches in the Package:
xloadimage.4.1-linux.patch, xloadimage.4.1-nobr.patch,
xloadimage-4.1-buffer.patch, xloadimage-4.1-errno.patch,
xloadimage-4.1-arg.patch, xloadimage-4.1-delay.patch

Maybe this patch should be included in the xloadimage.4.1-linux.patch, since
there are similar entries (HAS_JPEG, HAS_TIFF).
Comment 2 Roberto Ugoccioni 2004-10-13 10:59:40 EDT
The bug is still present in Fedora Core 2 (xloadimage 4.1-30): the
mentioned patch is NOT present in the src.rpm
Comment 3 Bill Nottingham 2004-10-13 12:54:38 EDT
Added in -32.

Note You need to log in before you can comment on or make changes to this bug.